Bug 1273564 - Encrypting breaks pdfmarks
Encrypting breaks pdfmarks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 13:21 EDT by Hin-Tak Leung
Modified: 2016-10-11 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:16:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ghostscript 695992 None None None Never
Ghostscript 696274 None None None Never

  None (edit)
Description Hin-Tak Leung 2015-10-20 13:21:55 EDT
Description of problem:

Upstream bug reports, test files, and fixes:

http://bugs.ghostscript.com/show_bug.cgi?id=696274
http://bugs.ghostscript.com/show_bug.cgi?id=695992

The fix is in gs 9.18, so I am thinking a backport or upgrade in fedora is appropriate...

Version-Release number of selected component (if applicable):
ghostscript-9.16-2.fc22.x86_64

How reproducible:
always

Steps to Reproduce:
1. use the test files and command line options in the upstream reports.
2.
3.

Actual results:
pdfmarks breaks.

Expected results:
pdfmarks works.

Additional info:
Comment 1 Hin-Tak Leung 2015-10-20 14:54:34 EDT
The upstream patch commit applies cleanly to the older 9.16 . FYI.
Comment 2 Fedora End Of Life 2016-07-19 14:16:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Hin-Tak Leung 2016-10-10 21:05:26 EDT
I am glad that 9.20-2.fc24.x86_64 is in updates-testing, so I suppose you could close this when gs 9.20 finally lands. fc24 still ships ghostscript-9.16-5.fc24.x86_64 .
Comment 4 David Kaspar [Dee'Kej] 2016-10-11 05:00:49 EDT
Hello Hin-Tak,

it should make it into all currently released Fedoras... :)

https://bodhi.fedoraproject.org/updates/ghostscript-9.20-2.fc25
https://bodhi.fedoraproject.org/updates/ghostscript-9.20-2.fc24
https://bodhi.fedoraproject.org/updates/ghostscript-9.20-2.fc23

Best regards,

Dee'Kej

Note You need to log in before you can comment on or make changes to this bug.